<?php
/**
 * Plugin plxNbArt
 *
 * @author	Thibaut S
 **/
class plxNbArt extends plxPlugin 
{
	/**
	 * Constructeur de la classe
	 *
	 * @return	stdio
	 * @param	default_lang	langue par défaut
	 * @author	Thibaut S
	 **/
	
	public function __construct($default_lang) {

        # appel du constructeur de la classe plxPlugin (obligatoire)
        parent::__construct($default_lang);

		# déclaration des hooks
		$this->addHook('NbArt', 'NbArt');
    }

	
	/**
	 * Méthode qui affiche le nombre d'articles écrits par l'auteur
	 *
	 * @return	stdio
	 * @author	Stéphane F
	 **/
	public function NbArt ($IDAuteur) {
	
		$plxMotor = plxMotor::getInstance();
		$plxGlob_arts = clone($plxMotor->plxGlob_arts);
		$motif = '/^[0-9]{4}.((?:[0-9]|home|,)*(?:'.$plxMotor->activeCats.'|home)(?:[0-9]|home|,)*)\.'.$IDAuteur.'\.(.*).xml$/'; # Motif de recherche
		if($aFiles = $plxGlob_arts->query($motif, 'art', 'sort', 0, false, 'before'))
			echo sizeof($aFiles);
		else
			echo 0;
		
	}
}
?>